<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;
use Illuminate\Support\Facades\DB;
use Illuminate\Support\Facades\Auth;

class action_items_Controller extends Controller
{
    public $selfName = 'action_items_Controller';
    public $dashboardName = 'dashboard';

	// GET /action_items
	public function index(Request $request) {
		$records = DB::table('action_item')->get();
		return response()->view('pro/action_items/index', compact('records'), session('message') ? 500 : 200)->header('Content-Type', 'text/html');
	}

	// GET /action_items/view/{uid}
	public function view(Request $request, $uid) {
		return redirect("/action_items/view/$uid/SUB_dashboard");
	}
}
